<?php

namespace Vn\Hedera;

function checkToken ($token)
{
	return preg_match ('/^[\w\-]+$/', $token);
}

function nullIf ($map, $key)
{
	return isset ($map[$key]) ? $map[$key] : NULL;
}

function checkFilePath ($file, $path)
{
	$checkPath = stream_resolve_include_path ($path).'/';
	$filePath = stream_resolve_include_path ($checkPath.$file);

	$len = strlen ($checkPath);
	return substr ($filePath, 0, strlen ($checkPath)) === $checkPath;
}

?>
